#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
int n,m,i,x,y,sreca=0;
int a[100000];
cin>>n>>m;
for(i=1;i<n+1;i++)
{
    cin>>a[i];
}
for(i=0;i<m;i++)
{
    cin>>x>>y;
    if((a[x]>=0 && a[y]>=0)||(a[x]<0 && a[y]<0))
        sreca+=a[x]+a[y];
    else if(abs(a[x])>=abs(a[y]))
        sreca+=abs(a[x])-abs(a[y]);
    else
        sreca+=abs(a[y])-abs(a[x]);
}
cout<<sreca;

  return 0;
}